stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Clean

Description

Clean a project.

Synopsis

- clean :: (StackM env m, HasEnvConfig env) => CleanOpts -> m ()
- data CleanOpts
  - = CleanShallow [PackageName]
  - | CleanFull
- newtype StackCleanException = NonLocalPackages [PackageName]

# Documentation

clean :: (StackM env m, HasEnvConfig env) => CleanOpts -> m () #

Deletes build artifacts in the current project.

Throws `StackCleanException`.

data CleanOpts #

Options for `stack clean`.

Constructors

CleanShallow [PackageName] | Delete the "dist directories" as defined in `distRelativeDir` for the given local packages. If no packages are given, all project packages should be cleaned.
CleanFull | Delete all work directories in the project.

newtype StackCleanException #

Exceptions during cleanup.

Constructors

NonLocalPackages [PackageName] |

Instances

Show StackCleanException # |
Methods showsPrec :: Int -> StackCleanException -> ShowS # show :: StackCleanException -> String # showList :: [StackCleanException] -> ShowS #
Exception StackCleanException # |
Methods toException :: StackCleanException -> SomeException # fromException :: SomeException -> Maybe StackCleanException # displayException :: StackCleanException -> String #